normalhypersurface.h File Reference

Deals with an individual normal hypersurface in a 4-manifold triangulation. More...

`#include <utility>`
`#include "regina-core.h"`
`#include "output.h"`
`#include "algebra/abeliangroup.h"`
`#include "hypersurface/hypercoords.h"`
`#include "maths/ray.h"`
`#include "triangulation/forward.h"`
`#include "utilities/boolset.h"`
`#include "utilities/property.h"`
`#include <boost/noncopyable.hpp>`

## Classes

class | regina::MatrixIntDomain< T >
| Represents a matrix of elements from a given integral domain T. More...
struct | regina::HyperInfo< coordType >
| A template that stores information about a particular normal hypersurface coordinate system. More...
class | regina::NormalHypersurfaceVector
| Stores the vector of a single normal hypersurface in a 4-manifold triangulation. More...
class | regina::NormalHypersurface
| Represents a single normal hypersurface in a 4-manifold triangulation. More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Macros

#define | REGINA_NORMAL_HYPERSURFACE_FLAVOUR(class_, id, superclass)
| Defines various constants, types and virtual functions for a subclass of NormalHypersurfaceVector. More...

## Typedefs

typedef NormalHypersurfaceVector | regina::NNormalHypersurfaceVector
| Deprecated typedef for backward compatibility. More...
typedef NormalHypersurface | regina::NNormalHypersurface
| Deprecated typedef for backward compatibility. More...

## Detailed Description

Deals with an individual normal hypersurface in a 4-manifold triangulation.

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).